Дужкі, IDE для вэб-распрацоўкі, якая абяцае

Падплыў Google Plus Я наткнуўся на гэта дадатак пад назвай Кранштэйны, які апісвае яго на афіцыйным сайце як рэдактар ​​OpenSource (ліцэнзія MIT) для вэб-дызайну і распрацоўкі такіх вэб-тэхналогій, як HTML, CSS і JavaScript.

Праект быў створаны і падтрымліваецца нашым дарагім сябрам Adobe. У цяперашні час ён знаходзіцца ў эксперыментальнай версіі. Сярод характарыстык, якія вылучаюцца Кранштэйны сярод іншых рэдактараў, такіх як Sublime Text o Сіняя рыбка прывесці прыклады:

Хуткае рэдагаванне CSS і JavaScript

Пры рэдагаванні HTML-дакумента мы можам выкарыстоўваць цэтлік CTRL + E атрымаць доступ да CSS уласцівасці, якую мы рэдагуем у гэты момант, і змяніць яго па жаданні.

хуткае рэдагаванне

дысплей жывыя змены ў файлах CSS у нашым аглядальніку

Гэтая асаблівасць самая выдатная і тая, якая мне спадабалася больш за ўсё. Мы можам бачыць змены, якія мы ўносім у CSS аўтаматычна ў браўзэры, пакуль мы яго рэдагуем, нічога для яго абнаўлення ўвесь час 😀.

На дадзены момант падтрымлівае толькі хром y Хром. Я пакідаю вам відэа афіцыйнага канала на англійскай мове з дадатковай інфармацыяй, якое паказвае асаблівасць прагляду ў прамым эфіры (мін. 2:18):

Усталёўка дужак на Ubuntu 13.04 і вытворныя

Вы можаце загрузіць .deb з тут Для яго ўстаноўкі мы можам выкарыстоўваць GDebi, QAPT альбо ў тэрмінале.

Для 32 біт:

dpkg -i brackets-sprint-28-LINUX32.deb

Для 64 біт:

dpkg -i brackets-sprint-28-LINUX64.deb

Калі я ўсталяваў яго, першае, што здарылася са мной, было тое, што ён не запушчаны, гэтая памылка з'явіцца пры яго выкананні тэрміналам:

libudev.so.0: cannot open shared object file: No such file or directory

Я пагугліў, і гэта вырашае, набраўшы ў тэрмінале:

sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

і справа вырашана 😀.

Другая "памылка" заключаецца ў тым, што дужкі не адчыняюць Chromium для адлюстравання файла HTML (з Google Chrome ён не павінен выдаваць гэтую памылку), на афіцыйнай старонцы ў раздзеле часта задаваных пытанняў я знайшоў спосаб выправіць гэта вельмі аналагічная каманда (стварэнне сімвалічнай спасылкі):

sudo ln -s /usr/bin/chromium-browser /usr/bin/google-chrome

Цяпер, калі ўсё павінна працаваць на 100%. На ўра !!.


Змест артыкула адпавядае нашым прынцыпам рэдакцыйная этыка. Каб паведаміць пра памылку, націсніце тут.

31 каментарыяў, пакіньце свой

Пакіньце свой каментар

Ваш электронны адрас не будзе апублікаваны.

*

*

  1. Адказны за дадзеныя: Мігель Анхель Гатон
  2. Прызначэнне дадзеных: Кантроль спаму, кіраванне каментарыямі.
  3. Легітымнасць: ваша згода
  4. Перадача дадзеных: Дадзеныя не будуць перададзены трэцім асобам, за выключэннем юрыдычных абавязкаў.
  5. Захоўванне дадзеных: База дадзеных, размешчаная Occentus Networks (ЕС)
  6. Правы: у любы час вы можаце абмежаваць, аднавіць і выдаліць сваю інфармацыю.

  1.   Элаў сказаў

    Цікава. Зараз я яго зніжаю.

    Той факт, што ён выкарыстоўвае Chrome / Chromium, і што ён таксама аўтаматычна абнаўляецца падчас рэдагавання CSS, прымушае мяне падумаць пра Stylus, які таксама працуе з Node.js, які выкарыстоўвае механізм JavaScript V8 Chrome.

    Без сумневу, выдатны інструмент. Я вам скажу, калі паспрабую.

    1.    нана сказаў

      Дазвольце азнаёміцца, у мяне некалькі праектаў, якія я магу праверыць у розных абставінах ...

    2.    frk7z сказаў

      Ну, elav, вы можаце зрабіць тое ж самае з Sublime, выкарыстоўваючы ўбудова LiveReload, таксама emmet разам са стылусам, нефрытам і кавай, пакідаючы кансоль для самакампіляцыі кожны раз, калі вы захоўваеце файл .styl або .jade Вось што я раблю, ай, і з модулем "перо" стылуса нашмат лепш макет.

      Больш за тое, зазірніце ў LiveStyle emmet (livestyle.emmet.io), вядома, калі вы гэтага яшчэ не бачылі, магчыма, вам спадабаецца. На ўра

  2.   Фернанда сказаў

    Існуе таксама Bluegriffon, бясплатны вэб-рэдактар ​​для Linux і Windows, ён падтрымлівае ўсё гэта і многае іншае.

    1.    Элаў сказаў

      Ці сапраўды Bluegriffon мае ўсе гэтыя функцыі? Памятаю, як толькі я паспрабаваў, мой парасон затрымаўся, калі мне давялося заплаціць за надбудову ці нешта падобнае.

  3.   Альберта сказаў

    Лепш выкарыстоўваць Bluefish ... яго можна запраграмаваць практычна на любую мову, усё ў адной поўнай інтэграцыі ...

    Bluefish - гэта міжплатформеннае праграмнае забеспячэнне для рэдагавання HTML POSIX з ліцэнзіяй GPL, што робіць яго бясплатным.

    Bluefish арыентаваны на вопытных дызайнераў і праграмістаў і факусуюць на дынамічным і інтэрактыўным рэдагаванні старонак. Ён здольны распазнаваць розныя мовы праграмавання і разметкі.

    Bluefish працуе на многіх сумяшчальных з POSIX (партатыўны інтэрфейс аперацыйнай сістэмы) аперацыйных сістэмах, такіх як Linux, FreeBSD, MacOS-X, OpenBSD, Solaris і Tru64.

    У асноўным выкарыстоўваюцца бібліятэкі GTK і C posix. Апошняя версія, якая працавала з GTK 1.0 або 1.2, - 0.7. Бягучая версія патрабуе як мінімум GTK версіі 2.0 (або вышэй), libpcre 3.0 (або вышэй), libaspell 0.50 або вышэй (неабавязкова) для праверкі арфаграфіі і gnome-vfs (неабавязкова) для аддаленых файлаў.

    Важна адзначыць, што праграма афіцыйна не з'яўляецца часткай праекта Gnome, але часта выкарыстоўваецца ў такіх умовах.

    Карыстальнікі таксама могуць атрымаць доступ да сеткавых рэсурсаў, такіх як FTP-серверы альбо каталогі WebDAV, празрыста праз Gnome VFS, узровень абстракцыі файлавай сістэмы.

    Імя і лагатып Bluefish (сіняя рыба) быў прапанаваны Нілам Міларам, які прапанаваў яго рабочай групе і адразу ж захапіў іх. Сіняя рыба - гэта жывёла (рыба), якая перамяшчаецца ў шматлікіх школах і знаходзіцца недалёка ад берага. Відавочна, што яго імя патрабуе інтэграцыі і сумеснага выкарыстання ідэалаў у свабодным праграмным забеспячэнні.

    Bluefish мае такія функцыі, як хуткасць, магчымасць адначасовага адкрыцця некалькіх файлаў, падтрымка некалькіх праектаў, аддаленая падтрымка файлаў праз gnome-vfs, наладжвальная разметка сінтаксісу на аснове рэгулярных выразаў, сумяшчальных з Perl, падтрымка суб-шаблонаў і наканаваных шаблонаў (для HTML, PHP, Javascript, JSP, SQL, XML, Python, Perl, CSS, ColdFusion, Pascal, R, Octave / Matlab), дыялогавыя акна для тэгаў HTML, майстры для зручнага стварэння дакументаў, стварэнне табліц, фрэймаў (кадраў), падтрымка некалькіх кадоў. , праца з рознымі наборамі сімвалаў, нумарацыя радкоў, выпадальныя меню, наладжвальныя панэлі інструментаў, дыялог для ўстаўкі малюнкаў, пошук спасылак на функцыі, наладжвальная інтэграцыя з рознымі праграмамі (make, javac і г.д.), вылучэнне сінтаксісу (C, Java, JavaScript, Python , Perl, ColdFusion, Pascal, R і Octave), поўныя пераклады прыблізна на дваццаць дзве мовы паміж імі os: партугальская, балгарская, кітайская, дацкая, фінская, французская, нямецкая, венгерская, італьянская, нарвежская, польская, партугальская, іспанская, шведская, японская і тамільская.

    Вікіпедыя ...

    1.    Элаў сказаў

      Я паспрабаваў BlueFish. Праўда, гэта вельмі добра, але я не ведаю, чагосьці не хапае. Зараз я тэстую яго ў Arch, і з KDE пракрутка ў мяне не працуе, мне трэба схапіць кнопку пракруткі на панэлі, каб мець магчымасць апускацца. Гэта значна палепшылася ў аўтазапаўненні кода, але, як я ўжо казаў першапачаткова, у ім чагосьці не хапае.

      1.    eliotime3000 сказаў

        Напрыклад, праглядальнік вэб-старонак.

    2.    нана сказаў

      Прыемна, так, але праўда ў тым, што я застаюся ў рэдактарах з супольнасцю, таму Bluefish можа мець сваіх распрацоўшчыкаў і ўсю гісторыю, але тое, што прымушае мяне карыстацца Sublime, напрыклад, просты факт, што ў ім ёсць велізарная колькасць даступныя убудовы і рэсурсы, гэта куля, і інструменты па змаўчанні робяць вас ашаломленымі.

      Ці зменілася б гэта ўзнёсла? Так, толькі для VIM xD

      1.    Раўродзэ сказаў

        Але ўзнёсла гэта для Linux?

        1.    Элаў сказаў

          Гэта дакладна

  4.   Anibal сказаў

    Я з kubuntu 13.04, гэта дае мне памылку libudev, я зрабіў сімвалічную спасылку, і яна застаецца ранейшай 🙁

    Каб выправіць гэта (па меншай меры, у мяне 64 біты), правільны радок:

    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    1.    Гільерма Лімонес Пазос сказаў

      Выдатнае назіранне, дзякуй 😀

  5.   эквіман сказаў

    Не ведаю, гэта мяне мала пераконвае ... але я ўсё яшчэ не ведаю гэтага.

    Ідэя пазбавіцца ад гэтай праграмы Adobe бясплатна і адкрыта ў будучыню назаўсёды ... альбо, як і іншыя метады Adobe, каб зрабіць яе бясплатнай, каб мы маглі бясплатна яе праверыць і калі яны захочуць аднесці яе да спецыяліста ўзровень яны адмаўляюцца ад бясплатнай часткі?

  6.   нана сказаў

    Што тычыцца дужак, я пакідаю вам вельмі цікавае параўнанне з Sublime, зробленае вельмі дасведчаным распрацоўшчыкам інтэрфейсу.

    Ва ўсякім разе, варта прачытаць: Дужкі супраць узнёслага тэксту

    Enjoy

  7.   Гаўрыіл сказаў

    калі хто ведае пра c ++, што дапамагае, таму што дзякуючы супольнасці гэта для Linux.

  8.   Элаў сказаў

    У Debian Wheezy яго нельга запусціць, таму што яму патрэбна больш высокая версія GLIBC, чым у вас.

  9.   Хуанра сказаў

    Ой, ужо даўно існуе версія для Linux (некалькі месяцаў таму), калі я зразумеў існаванне гэтай IDE, не было версіі для Linux, і я застаўся з жаданнем выкарыстоўваць яе, але цяпер існуе версія для Linux, і па словах elav, не. Ён працуе на Wheezy, і гэта дыстрыбутыў, які ў мяне ёсць 🙁 ха-ха, так пашанцавала, але я не паспрабую яго аднойчы, таму што калі ён мае добрыя характарыстыкі

  10.   Бруна Кашыа сказаў

    Я займаюся вэб-распрацоўкай 3 гады, і мой досвед:

    1-ы ўзнёслы тэкст
    2-гі NetBeans
    3-е зацьменне

    Астатнія - чыстыя м ...

    Я звычайна выкарыстоўваю Sublime, бо ў яго велізарная колькасць убудоў (адзін з іх TWIG, якім я шмат карыстаюся). Калі тое, што вы шукаеце, гэта аўтазапаўненне, няма нічога падобнага на Eclipse ці netbeans.

    Прывітанне!

  11.   xrz-30 сказаў

    У маім выпадку памылка была:
    usr / lib / brackets / Brackets: памылка пры загрузцы агульных бібліятэк: libudev.so. 0: немагчыма адкрыць агульны файл аб'екта: Няма такога файла ці каталога

    І я вырашыў гэта, выбраўшы каталог, які адпавядае маёй архітэктуры (Anibal таксама каментуе яго) для тых, хто ўсталёўвае 64-разрадную версію, яны павінны выбраць каталог x86_64-linux-gnu замест i386-linux-gnu, выглядаючы наступным чынам :

    Для 32 біт:
    sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

    Для 64 біт:
    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    Усё, што вам трэба зрабіць, гэта стварыць сімвалічную спасылку libudev.so.1 у тым самым каталогу з імем libudev.so.0

  12.   xrz-30 сказаў

    Я не ведаў, што версія для Linux выйшла, некалькі месяцаў таму я паспрабаваў яе з віном, але гэта было не вельмі прыемна. Адкрыты, каб падзякаваць супольнасці, якая падтрымала стварэнне версіі для нашага любімага смокінгу

    Як вы каментуеце, у маім выпадку яно не можа быць выканана, паведамленне пра памылку было:
    usr / lib / brackets / Brackets: памылка пры загрузцы агульных бібліятэк: libudev.so. 0: немагчыма адкрыць агульны файл аб'екта: Няма такога файла ці каталога

    І я вырашыў гэта, выбраўшы каталог, які адпавядае маёй архітэктуры (Anibal таксама каментуе яго) для тых, хто ўсталёўвае 64-разрадную версію, яны павінны выбраць каталог x86_64-linux-gnu замест i386-linux-gnu, выглядаючы наступным чынам :

    Для 32 біт:
    sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

    Для 64 біт:
    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    Усё, што вам трэба зрабіць, гэта стварыць сімвалічную спасылку libudev.so.1 у тым самым каталогу з імем libudev.so.0

  13.   Raul сказаў

    У мяне невялікая праблема з дужкамі. У ім гаворыцца, што я павінен уключыць аддаленую адладку ў Chrome, а затым пытанне "Ці хочаце вы перазагрузіць Chrome і ўключыць аддаленую адладку?" і кнопка [Перазагрузіць Chrome]. Але я даю яго, і ён наогул нічога не робіць, не перазапускае і не дазваляе.

    1.    Raul сказаў

      Я забыўся, у мяне Ubuntu 13.04 64bit. і версія Кранштэйны - 29

      1.    Ірвандавал сказаў

        Зачыніце Chrome і дайце яму запусціць дужкі 🙂, па меншай меры, у мяне гэта атрымалася
        прывітанне !!

        1.    Raul сказаў

          Так, я ўжо зрабіў гэта так, але нічога. : S

  14.   Хуліганіць сказаў

    Прывітанне, дзякуй за вашу параду. У мяне такая ж праблема, але тая карэкцыя, пра якую вы кажаце, не працуе для мяне ў Debian Wheezy, вы маглі б мне дапамагчы ў гэтым, дзякуй

  15.   відагну сказаў

    Выдатны IDE, для карыстальнікаў Slackware я пакідаю працэдуру яго ўстаноўкі:

    http://vidagnu.blogspot.com/2014/02/como-instalar-brackets-en-slacwkare.html

  16.   Серхіа Антоніо Трухільё сказаў

    Дзякуй за ўклад, які я ўстанавіў у манджаро, і ён не запусціўся ў браўзэры, але дзякуючы сімвалічнай спасылцы я змог гэта выправіць.

  17.   металістb93 сказаў

    ваша рашэнне не працуе
    праграма ўсё яшчэ не запускаецца

  18.   Карлас сказаў

    Добры дзень! Я не магу ўсталяваць дужкі на Huayra Linux, як гэта зрабіць? Гэта можа?

  19.   канорыёс сказаў

    Я загрузіў яго з афіцыйнага сайта і ўсталяваў з інструкцыямі, якія дае нам гэты сайт, з'явілася памылка, і рашэнне, якое яны нам даюць, не працуе для мяне.

    Я правільна і без праблем усталяваў і выкарыстаў яго, дадаўшы сховішча кансоллю і ўсталяваўшы яго тым самым.

    Судо PPA надбудовы APT-рэпазітара: webupd8team / Кранштэйны
    Суда apt-get абнаўлення
    Sudo APT-атрымаць ўстаноўку кранштэйнаў

    У мяне Kubuntu 15.04 з плазменным KDE 5 😉

bool (праўда)